Skip to main content
`Ctrl`+`K`

# DMDAGetInterpolationType

Gets the type of interpolation that will be used by `DMCreateInterpolation()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetInterpolationType(DM da, DMDAInterpolationType *ctype)

Not Collective

## Input Parameter

- da - distributed array

## Output Parameter

- ctype - interpolation type (`DMDA_Q1` and `DMDA_Q0` are currently the only supported forms)

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAInterpolationType`, `DMDASetInterpolationType()`, `DMCreateInterpolation()`, `DMDA_Q1`, `DMDA_Q0`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages